package whereami_test

import (
	"testing"

	"github.com/fiskerinc/cloud-services/pkg/utils/whereami"
)

func TestNoENV(t *testing.T){
	if whereami.Environment != ""{
		t.Fail()
	}

	if whereami.Service != ""{
		t.Fail()
	}
}

func TestManuallySet(t *testing.T){
	whereami.SetEnvironment(whereami.LOCAL)
	whereami.SetService(whereami.CARGO)

	if whereami.Environment != whereami.LOCAL {
		t.Fail()
	}

	if whereami.Service != whereami.CARGO {
		t.Fail()
	}
}